<template>
  <div class="hello">
    <div class="hello-head">
      <form>
        <h1>найдите хорошего автоюриста по отзывам автовладельцев</h1>
        <h3>Заполните заявку за 1 минуту и искусственный интеллект подберет юриста</h3>
        <div class="input-wrapper">
          <input v-model="name" type="text" placeholder="Ваше имя">
          <input v-model="email" type="text" placeholder="Почта">
          <input v-model="phone" data-inputmask="'mask': '+9(999)999-99-99'" type="text" placeholder="Телефон">
          <input v-model="about" type="text" placeholder="Кратко опишите проблему">
        </div>
        <div @click="sendMessage" class="send-message glow-button">Бесплатная консультация</div>
      </form>
    </div>
  </div>
</template>

<script>
import axios from 'axios'
import Inputmask from 'inputmask'
export default {
  name: 'HelloWorld',
  data () {
    return {
      name: '',
      email: '',
      phone: '',
      about: ''
    }
  },
  methods: {
    sendMessage (e) {
      if (!this.name) e.target.innerText = 'Вам необходимо указать как вас зовут'
      else if (!this.phone && !this.email) e.target.innerText = 'Вам необходимо указать email или телефон'
      else {
        e.target.innerText = 'Ждите..'
        const formData = new FormData()
        formData.append('crm', '11')
        formData.append('pipe', '22')
        formData.append('contact[name]', this.name)
        formData.append('contact[199]', this.phone)
        formData.append('contact[200]', this.email)
        formData.append('lead[214]', 'otzyv')
        formData.append('note', 'Заявка с otzyv.avtourist.com по статье ' + this.about + '<br>')
        // для mychance.avtourist.info
        // formData.append('lead[214]', 'mychance.avtourist.info')
        // formData.append('note', 'Заявка с mychance.avtourist.info<br>Коротко о проблеме: ' + this.numArticle + '<br>' + this.result.join())

        axios.post('https://urist.v-avtoservice.com/api/import-lead',
          formData,
          {
            headers: {
              'Content-Type': 'multipart/form-data'
            }
          }
        ).then(res => {
          e.target.innerText = 'Заявка отправлена!'
          document.getElementById('modalSubscribe').style.display = 'block'
          document.getElementById('answer').style.display = 'block'
        })
      }
    }
  },
  mounted () {
    Inputmask().mask(document.querySelectorAll('input[type=text]'))
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="scss">
  .hello {
    .hello-head {
      h1 {
        text-transform: uppercase;
        text-align: center;
      }
      form {
        display: flex;
        flex-direction: column;
        align-items: center;
        width: 80%;
        margin: 0 auto;
        .input-wrapper {
          display: flex;
          flex-direction: column;
          width: 100%;
          input {
            padding: 10px;
            font-size: 18px;
            border: 3px solid rgba(255, 255, 255, .5);
            box-shadow: (0 2px 10px rgba(0, 0, 0, .25) inset, 0 2px 10px rgba(0, 0, 0, .25));
            border-radius: 5px;
            background: rgba(255, 255, 255, .5);
            appearance: (none);
            outline: none;
            color: #333;
            width: 100%;
            margin: 5px 0;
          }
        }
      }
      .glow-button {
        display: inline-block;
        padding: 15px 30px;
        margin: 10px auto;
        border-radius: 10px;
        font-size: 16px;
        box-shadow: 0 0 40px 40px #20D152 inset, 0 0 0 0 #20D152;
        font-weight: bold;
        letter-spacing: 3px;
        color: white;
        transition: .15s ease-in-out;
      }
      .glow-button:hover {
        cursor: pointer;
        background-color: #DEF1C2;
        box-shadow: 0 0 10px 0 #20D152 inset, 0 0 10px 4px #20D152;
        font-size: 17px;
        color: #20D152;
      }
    }
  }
  @media (max-width: 1080px) {
  }
</style>
